View Issue Details

IDProjectCategoryExploit/GlitchLast Update
0004585Battlefield 1EngineNo2017-10-17 09:22
ReporterLapisRadzuli 
SeverityMinorReproducibilityAlways 
Status ClosedResolutionDuplicate 
PlatformPCOSWindows 
Product VersionUpdate 12102017 - October Update 
Fixed in Version 
Summary0004585: Unable to deploy as vehicles while in pre-round lobby
DescriptionAs the title states, attempting to spawn as a vehicle class (Tank, Cavalry or Pilot) will display the message that the class you have selected violates server rules. This happens on DICE official servers too.
Steps To ReproduceJoin any empty lobby and attempt to spawn in a vehicle.

Relationships

duplicate of 0004607 ConfirmedEA_RedSpoder On preround you can't spawn to vehicles anymore 
has duplicate 0004601 Closed Pre-Round Loadout and Class Rank reset 
has duplicate 0004611 Closed Players unable to deploy as vehicles in pre-round 

Activities

LapisRadzuli

2017-10-12 09:56

User
 

Battlefield 1 Screenshot 2017.10.12 - 10.52.06.100.png (3,632,605 bytes)

karnak07

2017-10-13 14:33

User
  ~0005418

I have same problem on all my server. No one can select the vehicles :

1) [ITA] Rinnegati Italian Clan [RNG] - www.rinnegati.it
2) #2 [ITA] Rinnegati Italian Clan [RNG] - All Maps

SS ApacheSteve

2017-10-14 21:56

User
  ~0005448

ERROR: "The class you have selected is violating the server rules" when choosing any pre-game lobby vehicles/horse on map that are available.
Once choosing a vehicle/horse, the vehicle is no longer available and remains unavailable. Even when switching sides and coming back to original side- Unavailable on an empty or full server.
I am receiving this on all servers I have played in North America East & West since the 10122017 update. I Have not tried EU or other locations.

Troubleshooting:
- I Defaulted ALL options settings and changed all weapons for Vehicles to no Effect.
- The only thing I cant change is the vehicles skins but tried vehicles for which i have no skins and same error as above.
- Once choosing the vehicle and being told it is no longer available, spawned in as regular soldier and Tank /plane/horse etc. are not visible on map - so they did not spawn empty into game.
- I did notice on the majority of server settings I went into, the Default Rifle Option was (off) on most servers. I use no default rifles though.
- I am a NON-PREMIUM member.

Screenshot attached to original 4585 Ticket is same error screen